Immens CRM Core - API & Advanced Usage
REST API
Namespace: immens-crm/v1. Authentication with the API key configured in Settings > API tab (X-API-Key header). Incoming webhooks are verified with HMAC SHA-256 signature.
| Endpoint |
Description |
GET /contacts |
List contacts (paginated, filterable) |
POST /contacts |
Create/update contact (upsert) |
GET /contacts/{id} |
Contact details |
PUT /contacts/{id} |
Update contact |
DELETE /contacts/{id} |
Delete contact |
POST /contacts/batch |
Batch operations |
GET /contacts/{id}/activities |
Contact activities |
GET /contacts/{id}/notes |
Contact notes |
GET /contacts/{id}/recordings |
Call recordings |
GET /contacts/{id}/transactions |
Contact transactions |
POST /contacts/{id}/stage |
Change stage |
GET /contacts/{id}/tags |
Contact tags |
POST/DELETE /contacts/{id}/tags/{tag_id} |
Assign/remove tag |
GET /contacts/{id}/analyze |
AI contact analysis |
Companies
| Endpoint |
Description |
GET /companies |
List companies |
POST /companies |
Create company |
GET /companies/{id} |
Company details |
PUT /companies/{id} |
Update company |
DELETE /companies/{id} |
Delete company |
GET /companies/{id}/contacts |
Company contacts |
Sales
| Endpoint |
Description |
GET /deals |
List deals |
POST /deals |
Create deal |
GET /deals/{id} |
Deal details |
PUT /deals/{id} |
Update deal |
DELETE /deals/{id} |
Delete deal |
GET /pipelines |
List pipelines |
GET /pipelines/{id}/stages |
Pipeline stages |
GET /sales-scripts |
List sales scripts |
POST /sales-scripts |
Create script |
GET /sales-scripts/{id} |
Script details |
PUT/DELETE /sales-scripts/{id} |
Update/delete script |
GET /objections |
List objections |
GET /proposals |
List proposals |
GET /contracts |
List contracts |
GET /products |
List products (management) |
POST /products |
Create product |
GET /products/{id} |
Product details |
GET /revenue-goals |
Revenue goals |
Lead Scoring
| Endpoint |
Description |
GET /scoring/rules |
List rules |
POST /scoring/rules |
Create rule |
GET /scoring/rules/{id} |
Rule details |
PUT/DELETE /scoring/rules/{id} |
Update/delete rule |
POST /scoring/calculate/{id} |
Recalculate contact score |
Marketing
| Endpoint |
Description |
GET /campaigns |
List campaigns |
POST /campaigns |
Create campaign |
GET /campaigns/{id} |
Campaign details |
PUT/DELETE /campaigns/{id} |
Update/delete campaign |
POST /campaigns/{id}/send |
Send campaign |
GET /email-templates |
List email templates |
POST /email-templates |
Create template |
GET /email-templates/{id} |
Template details |
GET /email-templates/{tid}/parse/{cid} |
Template preview per contact |
GET /email-drafts |
List email drafts |
POST /email-drafts |
Create draft |
GET /email-drafts/{id} |
Draft details |
PUT/DELETE /email-drafts/{id} |
Update/delete draft |
POST /email-drafts/{id}/send |
Send draft |
POST /email-drafts/{id}/duplicate |
Duplicate draft |
GET /email-log |
Sent email log |
GET /email-log/{id} |
Email details |
POST /email/send-raw |
Raw email sending with custom headers |
GET /forms |
List web-to-lead forms |
POST /forms |
Create form |
GET /forms/{id} |
Form details |
POST /form/submit |
Public form submission |
Automation
| Endpoint |
Description |
GET /automations |
List automations |
POST /automations |
Create automation |
GET /automations/{id} |
Automation details |
PUT/DELETE /automations/{id} |
Update/delete automation |
GET /automations/logs |
Execution logs |
GET /automations/logs/{id} |
Log details |
Other modules
| Endpoint |
Description |
GET /chats |
Chat conversations |
GET /chats/{id} |
Chat details |
GET /chats/{id}/messages |
Chat messages |
GET /meetings |
List meetings |
POST /meetings |
Create meeting |
GET /meetings/{id} |
Meeting details |
GET /tasks |
List tasks |
POST /tasks |
Create task |
GET /tasks/{id} |
Task details |
GET /tags |
List tags |
GET /custom-fields |
Custom field definitions |
GET /reports |
List reports |
GET /reports/{id}/data |
Report data |
GET /stats |
Aggregated statistics |
GET /dashboard/alerts |
Dashboard alerts |
GET /recordings |
Call recordings |
GET /webhooks |
List webhooks |
POST /webhooks |
Create webhook |
GET /webhooks/{id} |
Webhook details |
GET /webhooks/deliveries |
Webhook delivery log |
POST /webhook/receive |
External webhook receiving (HMAC) |
GET /settings |
CRM settings |
GET /self-test |
System self-test |
All CRM features are also available as MCP tools (via Immens MCP Fortress):
studioimmens__crm_list_contacts()
studioimmens__crm_get_contact(id=42)
studioimmens__crm_create_contact(name="John", email="john@example.com")
studioimmens__crm_get_stats(range="30days")
studioimmens__crm_get_ai_insight(range="30days")
Back to overview | Installation | Configuration